package ru.yandex.autotests.direct.utils.model;

/**
 * Created by IntelliJ IDEA.
 * User: mariabye
 * Date: 11.09.12
 * Time: 18:29
 * To change this template use File | Settings | File Templates.
 */
public enum RegionNameValues {
    ALL("Все", "Russia, CIS (except Russia), " +
            "Europe, Asia, Africa, North America, South America, Australia and Oceania",
             "Всі", "Tümü"),
    SAINT_PETERSBURG("Санкт-Петербург", "Saint Petersburg"),
    MOSCOW("Москва", "Moscow"),
    MOSCOW_AND_MOSCOW_REGION("Москва и область", "Moscow and Moscow Oblast"),
    KIEV("Киев", "Kyiv"),
    RUSSIA("Россия", "Russia"),
    BELARUS("Беларусь"),
    UKRAINE("Украина"),
    KAZAKHSTAN("Казахстан"),
    TURKEY("Турция"),
    SNG("СНГ (исключая Россию)", "CIS (except Russia)"),
    CRIMEA("Республика Крым", "Republic of Crimea"),
    CHERNOGOLOVKA("Черноголовка", "Chernogolovka");


    String russianName;
    String englishName;
    String ukrainianName;
    String turkeyName;

    RegionNameValues(String russianName){
        this.russianName = russianName;
    }

    RegionNameValues(String russianName, String englishName){
        this.russianName = russianName;
        this.englishName = englishName;
    }

    RegionNameValues(String russianName, String englishName, String ukrainianName, String turkeyName){
        this.russianName = russianName;
        this.englishName = englishName;
        this.ukrainianName = ukrainianName;
        this.turkeyName = turkeyName;
    }

    public String getRussianName() {
        return russianName;
    }

    public String getEnglishName() {
        return englishName;
    }

    public String getUkrainianName() {
        return ukrainianName;
    }

    public String getTurkeyName() {
        return turkeyName;
    }
}
